package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum DemandInfoSourceStatus {
	
	CUSTOMER(0, "客户录入"),
	PLANTFORM(1,"平台登记"),
	IMPORT(2, "批量导入"),
	DOCKING(3,"第三方数据对接"),
	OTHER(4, "其他");

	private DemandInfoSourceStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, DemandInfoSourceStatus> status = new HashMap<Integer, DemandInfoSourceStatus>();

	static {
		for (DemandInfoSourceStatus value : DemandInfoSourceStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static DemandInfoSourceStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static DemandInfoSourceStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
